%define	name	fvwm
%define	version	1.24r

Name:		%{name}
Version:	%{version}
Summary:	An X Window System based window manager
Release: 19mdk
Copyright:	GPL
Group:		Graphical desktop/FVWM based
BuildRequires: XFree86-devel xpm-devel
Requires:	fvwm2-icons
URL:		http://www.fvwm.org/

Source0:	sunsite.unc.edu:/pub/Linux/X11/window-managers/%{name}-%{version}.tar.bz2
Source1:	%{name}-%{version}-system-menu.fvwmrc.bz2
Source2:	fvwm1.menu-method.bz2
Source3:	%{name}-menuicon-32.xpm.bz2
Source4:	%{name}-menuicon.xpm.bz2

Patch0:		%{name}-%{version}-fsstnd.patch.bz2
Patch1:		%{name}-%{version}-imake.patch.bz2
Patch2:		%{name}-%{version}-security.patch.bz2
Patch3:		%{name}-%{version}-fvwmman.patch.bz2
Patch4:		%{name}-%{version}-menu-100.patch.bz2

Buildroot: %{_tmppath}/%{name}-root

%description
FVWM (the F stands for whatever you want, but the VWM stands for Virtual Window
Manager) is a window manager for the X Window System. FVWM was derived from the
twm window manager. FVWM is designed to minimize memory consumption, to provide
window frames with a 3D look, and to provide a simple virtual desktop. FVWM can
be configured to look like Motif.

Install the fvwm package if you'd like to use the FVWM window manager. If you
install fvwm, you'll also need to install fvwm2-icons.

%prep

%setup -q
%patch0 -p1 -b .fsstnd
%patch1 -p1 -b .imake
%patch2 -p1 -b .security
%patch3 -p1 -b .fvwmman
%patch4 -p1

%build
export PATH=$PATH:/usr/X11R6/bin
xmkmf
perl -p -i -e "s|CXXDEBUGFLAGS = .*|CXXDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
perl -p -i -e "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
make Makefiles
perl -p -i -e "s|CXXDEBUGFLAGS = .*|CXXDEBUGFLAGS = $RPM_OPT_FLAGS|" */Makefile
perl -p -i -e "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = $RPM_OPT_FLAGS|" */Makefile
perl -p -i -e "s|CXXDEBUGFLAGS = .*|CXXDEBUGFLAGS = $RPM_OPT_FLAGS|" */*/Makefile
perl -p -i -e "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = $RPM_OPT_FLAGS|" */*/Makefile
make

%install
rm -rf $RPM_BUILD_ROOT
make install install.man DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/fvwm/
rm -f $RPM_BUILD_ROOT/etc/X11/fvwm/system.fvwmrc

mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat << EOF > $RPM_BUILD_ROOT/usr/lib/menu/%{name}
?package(fvwm):\
  needs=wm\
  section=Session/Windowmanagers\
  title="Fvwm"\
  longtitle="FVWM Windows manager"\
  icon="fvwm-menuicon.xpm"\
  command="fvwm"
EOF

mkdir -p $RPM_BUILD_ROOT/etc/X11/fvwm
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/etc/X11/fvwm/system.fvwmrc-menu

mkdir -p $RPM_BUILD_ROOT/etc/menu-methods/
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/etc/menu-methods/%{name}
chmod a+x $RPM_BUILD_ROOT/etc/menu-methods/%{name}

# icon
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/usr/share/icons/%{name}-menuicon.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT/usr/share/icons/mini/%{name}-menuicon.xpm

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmsession.d/
cat << EOF > $RPM_BUILD_ROOT/etc/X11/wmsession.d/10Fvwm1
NAME=Fvwm1
EXEC=/usr/X11R6/bin/fvwm
DESC=A very stable and light window manager
SCRIPT:
exec /usr/X11R6/bin/fvwm
EOF

%post
if [ -x /usr/bin/update-menus ];then
		/usr/bin/update-menus
fi
[ -x /usr/sbin/fndSession ] && /usr/sbin/fndSession || true

%postun
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ];then
		/usr/bin/update-menus
  fi
fi
[ -x /usr/sbin/fndSession ] && /usr/sbin/fndSession || true

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/menu-methods/%{name}
%config /etc/X11/fvwm/system.fvwmrc-menu
%config /etc/X11/wmsession.d/10Fvwm1
%doc sample.fvwmrc/*
/usr/lib/menu/%{name}
/usr/share/icons/%{name}-menuicon.xpm
/usr/share/icons/mini/%{name}-menuicon.xpm
/usr/X11R6/lib/X11/fvwm
/usr/X11R6/bin/fvwm
/usr/X11R6/man/*/*

%changelog
* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.24r-19mdk
- automatically added BuildRequires

* Wed Jul 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.24r-18mdk
- Add support for the new chksession.

* Sun May 13 2000 David BAUDENS <baudens@mandrakesoft.com> 1.24r-17mdk
- Fix build for i486

* Tue May  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.24r-16mdk
- moved icons' ratio to 1.0 because some wm won't resize keeping aspect ratio
- added a mini icon

* Mon May  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.24r-15mdk
- fixed postun script
- added url
- added icons
- cleaned up specfile
- removed version in menu entry

* Fri Apr 28 2000 damien <damien@mandrakesoft.com> 1.24r-14mdk
- added fndSession call.

* Fri Apr  7 2000 DindinX <odin@mandrakesoft.com> 1.24r-13mdk
- Still better default configuration
- Added support for the 'Menu' key.

* Wed Apr  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.24r-12mdk
- Better default configuration.
- Menu can do more than 50 entry.
- Add menu support.

* Mon Mar 27 2000 DindinX <odin@mandrakesoft.com> 1.24r-11mdk
- Spec fixes

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- fix build as non-root (defattr)

* Wed Nov 03 1999 Jerome Martin <jerome@mandrakesoft.com>
- rebuild for new distribution
- minor specfile cleanup

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 17)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- tagged config files correctly
- buildroot

* Thu Oct 23 1997 Cristian Gafton <gafton@redhat.com>
- fixed it for AnotherLevel (icon paths, etc)

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 24 1997 Michael Fulbright <msf@redhat.com>
- Fixed system.fvwmrc to point at /usr/X11R6/include/X11/bitmaps and pixmaps. 
  Fvwm wasn't find icons otherwise, which is why they disappeared if someone
  upgraded from 4.0 to 4.1! 

